Winamp < 5.07 IN_CDDA.dll m3u Playlist Processing Overflow

High Nessus Plugin ID 15817


The remote Windows host contains a multimedia application that is prone to a buffer overflow attack.


The remote host is using Winamp, a popular media player for Windows.

The version of Winamp installed on the remote Windows host has a buffer overflow that may allow an attacker to execute arbitrary code on the remote host subject to the privileges of the user running Winamp.

To exploit this, an attacker would have to send a malformed playlist (.m3u) to a user of this host and trick him into loading it with the application.


Upgrade to Winamp version 5.07 or later.

Plugin Details

Severity: High

ID: 15817

File Name: winamp_in_cdda_buffer_overflow.nasl

Version: $Revision: 1.23 $

Type: local

Agent: windows

Family: Windows

Published: 2004/11/23

Modified: 2015/01/12

Dependencies: 10150, 13855, 10400, 10394

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:nullsoft:winamp

Required KB Items: SMB/name, SMB/login, SMB/password, SMB/transport, SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2004/11/22

Reference Information

CVE: CVE-2004-1119

BID: 11730

OSVDB: 12093